
      SUBROUTINE EFPHSR                                                 1222

c	include 'tcommon.for'
	%include tcommon.for

C     ...E FIRES P. HITS INSTANTANEOUS. AFFECTS ONLY R,K.               1245
      CALL CHEKDG(4,IR)                                                 1246
      IF(IR.EQ.1)GO TO 2350                                             1247
      EFP(1)=0.                                                         1248
C     ...STRENGTH DEPENDENT ON ANGLE AND DIST**2.                       1249
      IF(KLNGNS.EQ.0)GO TO 2320                                         1250
C     ...HIT ON KLINGONS                                                1251
      DO 2310 J=1,KLNGNS                                                1252
      IF(XKL(J,1).EQ.0.)GO TO 2310                                      1253
      IF(J.GT.KLNGNS)GO TO 2320                                         1254
      IF(ICNTL(J+1).EQ.1)GO TO 2310                                     1255
      CALL EPHIT(XKL(J,1),XKL(J,2),XKL(J,7),XKLHIT,3,J)                 1256
2310  CONTINUE                                                          1257
2320  IF(NROM.EQ.0)GO TO 2340                                           1258
C     ...HIT ON ROMULANS                                                1259
      DO 2330 J=1,NROM                                                  1260
      IF(XROM(J,1).EQ.0.)GO TO 2330                                     1261
      IF(ICNTL(J+10).EQ.1)GO TO 2330                                    1262
      CALL EPHIT(XROM(J,1),XROM(J,2),XROM(J,3),XRMHIT,4,J)              1263
2330  CONTINUE                                                          1264
      GO TO 2340                                                        1265
C     ...DAMAGE CONTROL FOR P. DELETE REQUESTED FIRING.                 1266
2350  EFP(1)=0.                                                         1267
      PNRGY=0.                                                          1268
      GO TO 2400                                                        1269
2340  ENERGY=ENERGY-EFP(3)                                              1270
      PNRGY=0.                                                          1271
      IF(ENERGY.LE.0.)CALL RATING(2)                                    1272
2400  RETURN                                                            1273
      END                                                               1274
